downgrade from 30 to 0.29 - something looks wrong...

Have a MythTV related problem? Ask for help from other MythTV users here.

Moderator: Forum Moderators

Post Reply
yajrendrag
Newcomer
Posts: 14
Joined: Sun May 03, 2015 12:38 am
United States of America

downgrade from 30 to 0.29 - something looks wrong...

Post by yajrendrag » Tue Oct 29, 2019 4:55 am

I upgraded from 0.29 to 30 - running on ubuntu 18.04 - & my HD Homerun tuners disappeared. i saw "using_hdhomerun" in output from mythbackend --version. So, i decided to downgrade as i had a 0.29 backup saved.

to downgrade, i did this:

-removed the 30 ppa
-0.29 ppa was still installed
-rm /etc/mythtv/config.xml
-logged into mysql as root and changed to mythconverg
-- drop user 'mythtv'@'%';
-- flush privileges
-- exit
-sudo dpkg-reconfigure mythtv-common
-sudo dpkg-reconfigure mythtv-database

-sudo apt update
-sudo apt upgrade
-sudo apt install mythtv

-restored the 0.29 backup following instructions from here: https://www.mythtv.org/wiki/Database_Ba ... g_database

rebooted.

All looks well - on the surface. hdhomerun tuners are back.

apt-cache policy mythtv shows:

mythtv:
Installed: 2:29.1+fixes.201909121531.4c432df~ubuntu18.04.1
Candidate: 2:29.1+fixes.201909121531.4c432df~ubuntu18.04.1
Version table:
*** 2:29.1+fixes.201909121531.4c432df~ubuntu18.04.1 500
500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main amd64 Packages
500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main i386 Packages
100 /var/lib/dpkg/status
2:29.1+fixes.20181117.696a81c-0ubuntu0mythbuntu3 500
500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main amd64 Packages
500 http://ppa.launchpad.net/mythbuntu/0.29/ubuntu bionic/main i386 Packages
2:29.1+fixes.20180414.329c235-0ubuntu3 500
500 http://us.archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
500 http://us.archive.ubuntu.com/ubuntu bionic/multiverse i386 Packages

no 30 installed.

but, mythbackend --version still shows 0.30:

Please attach all output as a file in bug reports.
MythTV Version : v30.0
MythTV Branch :
Network Protocol : 91
Library API : 30.20181231-1
QT Version : 5.9.5
Options compiled in:
linux profile use_hidesyms using_alsa using_oss using_pulse using_pulseoutput using_backend using_bindings_perl using_bindings_python using_bindings_php using_crystalhd using_dvb using_firewire using_frontend using_hdhomerun using_vbox using_ceton using_hdpvr using_ivtv using_joystick_menu using_libcec using_libcrypto using_libdns_sd using_libfftw3 using_libxml2 using_lirc using_mheg using_opengl using_opengl_video using_opengl_themepainter using_qtwebkit using_qtscript using_qtdbus using_taglib using_v4l2 using_x11 using_xnvctrl using_xnvctrl_external using_libbluray_external using_xrandr using_xv using_profiletype using_systemd_notify using_systemd_journal using_bindings_perl using_bindings_python using_bindings_php using_freetype2 using_mythtranscode using_opengl using_vaapi using_vaapi2 using_vdpau using_ffmpeg_threads using_mheg using_libass using_libxml2 using_libmp3lame

How is that possible?

Moreover, when i start Mythtv Backend via the gui, myth doesn't warn that the database needs to be upgraded - i restored a 0.29 database.

So except for the mythbackend --version output it seems like the restore took. but it seems like there is still some remnant of 30.

Any ideas what i might be missing?

Recordings mostly worked - there was one recording that stopped after less than a minute and then restarted... and another that seemed like it started late byt about 12 minutes... i've attached a log starting a few min before my 1st recording after the restore... at about 20:12 there look to be some errors coinciding with one of the problem recordings.

Any suggestions on what i should look for or do?

thx, Jay
Attachments
mbe-t.log
(75.63 KiB) Downloaded 17 times

blm-ubunet
Junior
Posts: 81
Joined: Sun Jun 15, 2014 1:08 am
Cambodia

Re: downgrade from 30 to 0.29 - something looks wrong...

Post by blm-ubunet » Tue Oct 29, 2019 7:24 pm

Maybe the packaging scripts are not cleaning up when uninstalling/installing.

ls -al /usr/lib/libmyth*
ls -al /usr/local/lib/libmyth*

ls -al /usr/bin/myth*
ls -al /usr/local/bin/myth*

which mythbackend
ldd /path-from-above/mythbackend | grep -i myth

Could it be better to just fix the hdhomerun tuner issue?
I recall that mentioned a few times (here or on mailinglist) in last year
https://lists.gt.net/mythtv/users/62489 ... un;#624897
https://lists.gt.net/mythtv/users/62605 ... un;#626050
https://lists.gt.net/mythtv/users/62647 ... un;#626473

I seem to recall that the hdhomerun at some point changed:-
- hdhomerunlib has to be installed separately
- tuners are enumerated/indexed differently? (mythtv changes)
- now have to be set for exclusive access
- discovery ARP/MAC/IP has changed ??

yajrendrag
Newcomer
Posts: 14
Joined: Sun May 03, 2015 12:38 am
United States of America

Re: downgrade from 30 to 0.29 - something looks wrong...

Post by yajrendrag » Tue Oct 29, 2019 9:13 pm

thanks... all of those paths in /usr/lib/libmyth* refer to 30 as does the ldd /usr/bin/mythbackend result... but the dates on all of the files are 10 days prior to when i did the upgrade to 30. dates are likely when 29 fixes updates were last applied
EDIT - actually in inspecting the ppa, the dates of the files are the last update to the 30 ppa... so looks like something didn't work properly in the uninstall/reinstall.

I am remote this week so just wanted to get the system operational. i couldn't find enough data on the libhdhomerun stuff, but also felt i had the correct lib installed since mythbackend reported it was "using hdhomerun".

i will either have to get 30 installed correctly or if i can't then will resort to reinstalling 0.29 from scratch unless i can figure out how to fix my restored 0.29 system ...

-jay

blm-ubunet
Junior
Posts: 81
Joined: Sun Jun 15, 2014 1:08 am
Cambodia

Re: downgrade from 30 to 0.29 - something looks wrong...

Post by blm-ubunet » Tue Oct 29, 2019 9:45 pm

There been a lot of hdhomerun churn in the last year.
External lib pkg:
https://code.mythtv.org/trac/changeset/ ... 8a5/mythtv
Appears that later libhdhomerun removed some features & these were recoded into mythtv.
https://code.mythtv.org/trac/changeset/ ... 23c/mythtv

Required is "hdhomerun-config" pkg??

The tuner name changes in mythtv-setup & (DB schema) require removal of the numerical suffix index.
https://code.mythtv.org/trac/changeset/ ... 41d/mythtv
https://lists.gt.net/mythtv/users/62489 ... un;#624897
The tuners are now named from the tunercard & not the tuner input.
Those structural changes happened to all "tuners".

https://code.mythtv.org/trac/search?cha ... uickjump=1

yajrendrag
Newcomer
Posts: 14
Joined: Sun May 03, 2015 12:38 am
United States of America

Re: downgrade from 30 to 0.29 - something looks wrong...

Post by yajrendrag » Fri Nov 01, 2019 8:22 pm

hdhomerun-config is installed.

successfully updated to 30 release.

turned out the problem was related to mythbackend starting before the network was fully online so the test to see if the tuners were available was failing..

followed recommendation here (https://www.reddit.com/r/mythtv/comment ... ythtv_030/) to modify /lib/systemd/system/mythtv-backend.service and wait for mysql.service network-online.target instead of mysql.service network.target.. and that resolved the issue.

some of the related posts in that thread talk instead about creating another systemd startup routine to check that pings to external devices are successful... which i didn't yet need to resort to as above worked for now.

thanks, jay

blm-ubunet
Junior
Posts: 81
Joined: Sun Jun 15, 2014 1:08 am
Cambodia

Re: downgrade from 30 to 0.29 - something looks wrong...

Post by blm-ubunet » Fri Nov 01, 2019 9:34 pm

You find the same advice here:
https://www.mythtv.org/wiki/Systemd_myt ... nitialized

I use similar line in service file as well.

Post Reply